Package org.apache.tiles.core.definition.pattern.wildcard

# Class WildcardDefinitionPatternMatcherFactory

java.lang.Object
org.apache.tiles.core.definition.pattern.wildcard.WildcardDefinitionPatternMatcherFactory

All Implemented Interfaces:
  `DefinitionPatternMatcherFactory`, `PatternRecognizer`

public class WildcardDefinitionPatternMatcherFactory extends Object implements DefinitionPatternMatcherFactory, PatternRecognizer
Creates instances of `WildcardDefinitionPatternMatcher`.

Since:
  2.2.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WildcardDefinitionPatternMatcherFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DefinitionPatternMatcher`
  `createDefinitionPatternMatcher(String pattern, Definition definition)`
  Creates a new definition pattern matcher.
  `boolean`
  `isPatternRecognized(String candidatePattern)`
  Checks if a pattern is recognized as a pattern.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WildcardDefinitionPatternMatcherFactory

    public WildcardDefinitionPatternMatcherFactory()

- ## Method Details

  - ### createDefinitionPatternMatcher

    public DefinitionPatternMatcher createDefinitionPatternMatcher(String pattern, Definition definition)
    Creates a new definition pattern matcher.
    Specified by:
      `createDefinitionPatternMatcher` in interface `DefinitionPatternMatcherFactory`
    Parameters:
      `pattern` - The pattern to be matched.
      `definition` - The base definition. Created definitions by `DefinitionPatternMatcher.createDefinition(String)` will created with this one as a basis.
    Returns:
      The definition pattern matcher.

  - ### isPatternRecognized

    public boolean isPatternRecognized(String candidatePattern)
    Checks if a pattern is recognized as a pattern.
    Specified by:
      `isPatternRecognized` in interface `PatternRecognizer`
    Parameters:
      `candidatePattern` - The pattern to check.
    Returns:
      `true` if the pattern has been recognized.